Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.jgroups
Class MasterJGroupsBackendQueueProcessorFactory

    java.lang.Object
      org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory
          org.hibernate.search.backend.impl.jgroups.MasterJGroupsBackendQueueProcessorFactory

All Implemented Interfaces:
  BackendQueueProcessorFactory

    public class MasterJGroupsBackendQueueProcessorFactory

extends JGroupsBackendQueueProcessorFactory

Backend factory used in JGroups clustering mode in master node. Wraps `LuceneBackendQueueProcessorFactory` with providing extra functionality to receive Lucene works from slave nodes.

Author:
  Lukasz Moren
See Also:
  `LuceneBackendQueueProcessorFactory`, `SlaveJGroupsBackendQueueProcessorFactory`

Field Summary

Fields inherited from class org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory
`address, channel, clusterName, CONFIGURATION_FILE, CONFIGURATION_STRING, CONFIGURATION_XML, JG_CLUSTER_NAME, JGROUPS_PREFIX, log, searchFactory`

Constructor Summary
`MasterJGroupsBackendQueueProcessorFactory()`

Method Summary
`void` | `close()` Used to shutdown and eventually release resources.
`org.jgroups.Receiver` | `getMasterListener()`
`java.lang.Runnable` | `getProcessor(java.util.List<LuceneWork> queue)` Return a runnable implementation responsible for processing the queue to a given backend.
`void` | `initialize(java.util.Properties props, SearchFactoryImplementor searchFactory)` Used at startup, called once as first method.

Methods inherited from class org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory
`getAddress, getChannel, getClusterName, setClusterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MasterJGroupsBackendQueueProcessorFactory

    public MasterJGroupsBackendQueueProcessorFactory()

Method Detail

### initialize

    public void initialize(java.util.Properties props,
                           SearchFactoryImplementor searchFactory)

  Description copied from interface: `BackendQueueProcessorFactory`
  Used at startup, called once as first method.

  Specified by:
    `initialize` in interface `BackendQueueProcessorFactory`
  Overrides:
    `initialize` in class `JGroupsBackendQueueProcessorFactory`
  Parameters:
    `props` - all configuration properties
    `searchFactory` - the client

### getProcessor

    public java.lang.Runnable getProcessor(java.util.List<LuceneWork> queue)

  Description copied from interface: `BackendQueueProcessorFactory`
  Return a runnable implementation responsible for processing the queue to a given backend.

  Specified by:
    `getProcessor` in interface `BackendQueueProcessorFactory`
  Specified by:
    `getProcessor` in class `JGroupsBackendQueueProcessorFactory`
  Parameters:
    `queue` - The work queue to process.
  Returns:
    `Runnable` which processes `queue` when started.

### getMasterListener

    public org.jgroups.Receiver getMasterListener()

### close

    public void close()

  Description copied from interface: `BackendQueueProcessorFactory`
  Used to shutdown and eventually release resources. No other method should be used after this one.

  Specified by:
    `close` in interface `BackendQueueProcessorFactory`
  Overrides:
    `close` in class `JGroupsBackendQueueProcessorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.